name: Build

on:
  push:
    branches: [master]
    paths-ignore:
      - ".github/**"
      - "addons/main/script_version.hpp"
      - "docs/**"
      - "tools/**"
      - "LICENSE"
      - "README.md"
      - "*.json"
  workflow_dispatch:

jobs:
  build:
    name: Build
    runs-on: ubuntu-latest
    steps:
      - name: Checkout Source Code
        uses: actions/checkout@v4

      - name: Bump Version
        id: bump-version
        run: python3 tools/version_bumper.py increment_build push_commit

      - name: Setup HEMTT
        uses: arma-actions/hemtt@v1

      - name: Run HEMTT build
        run: hemtt release

      - name: Setup Go
        uses: actions/setup-go@v4
        with:
          go-version: 'stable'

      - name: Initialize or Update Go module
        run: |
          if [ ! -f go.mod ]; then
            go mod init gitea.innovativedevsolutions.org/IDSolutions/client
          fi
          go get code.gitea.io/sdk/gitea          

      - name: Run Release Action
        env:
          GITHUB_TOKEN: ${{ secrets.GITHUB_TOKEN }}
          VERSION: ${{ steps.bump-version.outputs.VERSION }}
        run: go run main.go